Subject: bug#40671: [DOC] modify literal objects

From: Drew Adams <[email-masked]>
Date: Sun, 19 Apr 2020 14:11:24 -0700 (PDT)

> In my recent patches to the emacs-27 branch I added a section
> "Constants and Mutability" that discusses many of these issues.

See my previous reply.  It's not about (what you called)
constants and mutability.  Misleading, and unclear, IMO.

> I didn't think of recommending ways of coping with it

I don't think that's needed.  That is, I don't think
there's any such "coping".

What's needed is to make clear to users _what_ happens,
and its effects; that's all.  With that info, they can
do whatever's appropriate for them in any given context.

But it's good to show an example of a gotcha, to help
make clear _what_ can happen and why.